apiVersion: apps/v1
kind: Deployment
metadata:
  name: osslsigncode
spec:
  selector:
    matchLabels:
      app: osslsigncode
  template:
    metadata:
      labels:
        app: osslsigncode
    spec:
      imagePullSecrets:
        - name: gitlab
      containers:
        - name: osslsigncode
          image: registry.gitlab.com/cyte_icsf/backlog/osslsigncode:v2.11.0
          ports:
            - containerPort: 5000
          #env:
          env:
            - name: https_proxy
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: https_proxy
            - name: HTTPS_PROXY
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: HTTPS_PROXY
            - name: http_proxy
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: http_proxy
            - name: HTTP_PROXY
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: HTTP_PROXY
            - name: NO_PROXY
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: NO_PROXY
            - name: no_proxy
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: no_proxy
            - name: DB_DRIVER
              valueFrom:
                configMapKeyRef:
                  name: cfg
                  key: DB_DRIVER
          volumeMounts:
            - mountPath: /usr/src/file
              name: vol
      volumes:
        - name: vol
          persistentVolumeClaim:
            claimName: pvc
            readOnly: false
---
apiVersion: v1
kind: Service
metadata:
  name: osslsigncode
spec:
  selector:
    app: osslsigncode
  ports:
    - port: 5000
  type: ClusterIP